using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Threading;

namespace MutexDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            //kontrola ilości instancji aplikacji
            bool pierwszaInstancja;
            Mutex m = new Mutex(true, "BardzoUnikalnaNazwaMuteksu", out pierwszaInstancja);
            if (pierwszaInstancja)
            {
                Console.WriteLine("Pierwsza instancja");
                //Console.ReadLine();
            }
            else
            {
                Console.WriteLine("Instancja tego programu jest już uruchomiona. Program zostanie zamknięty!");
                Console.ReadLine();
                return;
            }

            //dalsza część programu
            Console.WriteLine("Dalsza część programu");
            Console.ReadLine();
        }
    }
}
